# The tests are not intended to run in a package build
%bcond_with check

%global shortname bk
%global edition ce

%global _appdir %{_prefix}/local/%{name}

Name:           bitkeeper
Version:        7.3.1
Release:        0.0.0.3%{?dist}
Summary:        A scalable, distributed source control management system

License:        ASL 2.0
URL:            https://www.bitkeeper.org
Source0:        https://www.bitkeeper.org/downloads/latest/%{shortname}-%{version}%{edition}.src.tar.gz

BuildRequires:  gcc, make, bison, flex
BuildRequires:  gperf, groff
BuildRequires:  libXft-devel
BuildRequires:  pcre-devel
BuildRequires:  zlib-devel
BuildRequires:  lz4-devel
BuildRequires:  libtommath-devel
BuildRequires:  libtomcrypt-devel

Provides:       bundled(bwidget) = 1.2.1
Provides:       bundled(tcl) = 8.6.4
Provides:       bundled(tk) = 8.6.4
Provides:       bundled(tkcon) = 2.5
Provides:       bundled(tktable) = 2.10
Provides:       bundled(tcl-tktreectrl) = 2.4.1

# No specific versions here, unfortunately
Provides:       bundled(mdbm)
Provides:       bundled(bsdcat)
Provides:       bundled(bsdtest)
Provides:	bundled(netbsd-stdio)
Provides:	bundled(bsd-string)


# Ensure we're not allowing Provides from non-standard paths
#global __provides_exclude_from ^%{_appdir}/gui/lib/Tktable2.10/.*\\.so$

%description
BitKeeper is the original distributed source management system.
Originally written as a tool so that the Linux kernel development
could scale as it grew, it is now freely available.

It is..

* Simple: An easy to use command line interface.

* Scalable: Nested Repositories are submodules done right!
  	    Version control collections of repositories.

* Flexible: Hybrid mode for binary files that uses a cloud
  	    of server for binaries instead of bloating
	    the source repositories.

* Accurate: Tracking of file operations like creates,
  	    deletes, and renames.

* Safe: All file accesses validate checksums for integrity.
  	All file writes include redundancy for error correction.

* Dependable: Highly accurate auto-merge that uses
  	      the whole history to resolve conflicts.

* Discernable: Source annotations instantly available.

* Fast: High performance and scales to very large repositories.


%prep
%setup -q -n %{shortname}-%{version}%{edition}


%build
pushd ./src
%make_build p
popd

%install
pushd ./src
%make_install
popd

# Move all the manpages out to the correct place
mkdir -p %{buildroot}%{_mandir}
mv %{buildroot}%{_appdir}/man/* %{buildroot}%{_mandir}
rm -rf %{buildroot}%{_appdir}/man


# Don't EVER run this!
%if %{with check}
%check
# Just to be safe...
exit 0
pushd ./src/t
PATH=%{buildroot}%{_bindir}:${PATH} ./doit %{?_smp_mflags}
popd
%endif

%files
%license LICENSE*
%doc NOTICE CONTRIBUTING.txt RELEASE-NOTES*
%{_appdir}/*
%{_mandir}/*


%changelog
* Wed Nov  2 2016 Neal Gompa <ngompa13@gmail.com> - 7.3.1-0.0.0.3
- Upgrade to 7.3.1
- Use more system libraries
- Drop some bundled() Provides

* Tue May 10 2016 Neal Gompa <ngompa13@gmail.com> - 7.2-0.0.0.2
- Add bundled() Provides

* Tue May 10 2016 Neal Gompa <ngompa13@gmail.com> - 7.2-0.0.0.1
- Initial packaging, though not quite in a happy state!
